Package wx :: Module animate :: Class AnimationCtrlBase

[frames | no frames]

## Type AnimationCtrlBase

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            AnimationCtrlBase

Known Subclasses:
  `AnimationCtrl`

Proxy of C++ AnimationCtrlBase class

Method Summary
| `__init__(self)`
Animation | `GetAnimation(self)`
Bitmap | `GetInactiveBitmap(self)`
bool | `IsPlaying(self)`
bool | `LoadFile(self, filename, type)`
bool | `Play(self)`
| `SetAnimation(self, anim)`
| `SetInactiveBitmap(self, bmp)`
| `Stop(self)`

Property Summary
| `Animation`: GetAnimation(self) -> Animation
| `InactiveBitmap`: GetInactiveBitmap(self) -> Bitmap
| `thisown`: The membership flag

Property Details

### Animation

GetAnimation(self) -> Animation

  Get Method:
    `GetAnimation`(self)
  Set Method:
    `SetAnimation`(self, anim)

### InactiveBitmap

GetInactiveBitmap(self) -> Bitmap

  Get Method:
    `GetInactiveBitmap`(self)
  Set Method:
    `SetInactiveBitmap`(self, bmp)

### thisown

The membership flag

  Get Method:
    unknown-23953608(...)
  Set Method:
    unknown-23953728(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:46:36 2007 | http://epydoc.sf.net